<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
<head>
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<meta charset="UTF-8">
<title>Registration Form</title>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">

  <a class="navbar-brand" th:href="@{/home}">MyCrypt</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
      <li class="nav-item active">
        <a class="nav-link" th:href="@{/home}">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" th:href="@{/registration}">Regisration</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" th:href="@{/home}">Login</a>
      </li>
      <li class="nav-item">
        <a class="nav-link disabled" th:href="@{/news}">News</a>
      </li>
    </ul>
  </div>
</nav>
</head>
<body>
	<form th:action="@{/login}" method="get">
		<button class="btn btn-md btn-dark btn-block" type="Submit">Go
			To Login Page</button>
	</form>

	<div class="container">
		<div class="form">

			<div class="form-content">
				<div>
					<div class="row">
						<div align="center" id="parent" class="col-md-6">
							<form form id="form_login" autocomplete="off" action="#"
								th:action="@{/registration}" th:object="${user}" method="post"
								class="form-horizontal" role="form">
								<div class="note">
									<h2>Registration Form</h2>
								</div>
								<div class="form-group">
									<div class="col-sm-9">
										<label th:if="${#fields.hasErrors('name')}"
											th:errors="*{name}" class="validation-message"></label> <input
											type="text" th:field="*{name}" placeholder="Name"
											class="form-control" />
									</div>
								</div>

								<div class="form-group">
									<div class="col-sm-9">
										<label th:if="${#fields.hasErrors('lastName')}"
											th:errors="*{lastName}" class="validation-message"></label> <input
											type="text" th:field="*{lastName}" placeholder="Last Name"
											class="form-control" />
									</div>
								</div>
								<div class="form-group">
									<div class="col-sm-9">
										<input type="text" th:field="*{email}" placeholder="Email"
											class="form-control" /> <label
											th:if="${#fields.hasErrors('email')}" th:errors="*{email}"
											class="validation-message"></label>
									</div>
								</div>
								<div class="form-group">
									<div class="col-sm-9">
										<input type="password" th:field="*{password}"
											placeholder="Password" class="form-control" /> <label
											th:if="${#fields.hasErrors('password')}"
											th:errors="*{password}" class="validation-message"></label>
									</div>
								</div>

								<div class="form-group">
									<div class="col-sm-9">
										<button type="submit" class="btn btn-secondary btn-block">Register
											User</button>
									</div>
								</div>

								<h2>
									<span class="text-success" th:utext="${successMessage}"></span>
								</h2>

							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
		<style type="text/css">
.note {
	height: 80px;
	color: #040000;
	font-weight: bold;
	line-height: 80px;
}

body {
	background: -webkit-linear-gradient(left, #0072ff, #8811c5);
}

.form-content {
	padding: 6%;
	border: 1px solid #ced4da;
	background: #fff;
	margin-bottom: 2%;
	margin: 0 auto;
}

.form-control {
	border-radius: 1.5rem;
}
</style>
</body>
<footer class="page-footer font-small unique-color-dark pt-4">

	<!-- Footer Elements -->
	<div class="container">

		<!-- Call to action -->
		<ul class="list-unstyled list-inline text-center py-2">
			<li class="list-inline-item">
				<h5 class="mb-1">Register for free</h5>
			</li>
			<li class="list-inline-item"><a href="login.html!"
				class="btn btn-outline-white btn-rounded">Sign up!</a></li>
		</ul>


	</div>

	<div class="footer-copyright text-center py-3">© 2019 MyCrypto</div>


</footer>
</html>